ActionDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.ActionDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class ActionDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.events.server.session.ActionDAO

    public class ActionDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`ActionDAO(DAOFactory f)`

Method Summary
`java.util.List` | `findByAlert(Alert a)` Find all the actions which triggered the alert in the alert log
`Action` | `findById(java.lang.Integer id)`
`Action` | `get(java.lang.Integer id)`
`void` | `save(Action entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionDAO

    public ActionDAO(DAOFactory f)

Method Detail

### findById

    public Action findById(java.lang.Integer id)

### get

    public Action get(java.lang.Integer id)

### save

    public void save(Action entity)

### findByAlert

    public java.util.List findByAlert(Alert a)

  Find all the actions which triggered the alert in the alert log

  Returns:
    a collection of `Action`s

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.